#!/usr/bin/env python3

import setuptools


with open("README.md", "r") as fh:
	long_description = fh.read()


setuptools.setup(
	name="morseman",
	version="0.1",
	author="Midgard",
	author_email="midgard@zeus.gent",
	description="Morse trainer",
	long_description=long_description,
	long_description_content_type="text/markdown",
	scripts=["bin/morseman"],

	url="https://git.zeus.gent/midgard/morseman/",
	project_urls={
		"Source": "https://git.zeus.gent/midgard/morseman/",
		"Change log": "https://git.zeus.gent/midgard/morseman/-/blob/master/CHANGELOG.md",
		"Bug tracker": "https://git.zeus.gent/midgard/morseman/-/issues",
	},

	classifiers=[
		"Programming Language :: Python :: 3",
		"License :: OSI Approved :: GNU General Public License v3 or later (GPLv3+)",
		"Operating System :: OS Independent",
		"Natural Language :: English",
		"Environment :: Console",

		"Development Status :: 1 - Planning",
		#"Development Status :: 2 - Pre-Alpha",
		#"Development Status :: 3 - Alpha",
		#"Development Status :: 4 - Beta",
		#"Development Status :: 5 - Production/Stable",
		#"Development Status :: 6 - Mature",
		#"Development Status :: 7 - Inactive",

		"Intended Audience :: End Users/Desktop",
		"Topic :: Utilities",
	],

	packages=setuptools.find_packages(),
	python_requires=">=3.6",
	install_requires=[
		"unidecode",
		"pyo",
	],
)
